purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Hierarchy

Description

Generate Directed Graphs of PureScript TypeClasses

# Documentation

newtype SuperMap #

Constructors

SuperMap |

Fields

- _unSuperMap :: Either (ProperName 'ClassName) (ProperName 'ClassName, ProperName 'ClassName)

#### Instances

Instances details

Eq SuperMap # |
Instance details Defined in Language.PureScript.Hierarchy Methods (==) :: SuperMap -> SuperMap -> Bool # (/=) :: SuperMap -> SuperMap -> Bool #
Ord SuperMap # |
Instance details Defined in Language.PureScript.Hierarchy Methods compare :: SuperMap -> SuperMap -> Ordering # (<) :: SuperMap -> SuperMap -> Bool # (<=) :: SuperMap -> SuperMap -> Bool # (>) :: SuperMap -> SuperMap -> Bool # (>=) :: SuperMap -> SuperMap -> Bool # max :: SuperMap -> SuperMap -> SuperMap # min :: SuperMap -> SuperMap -> SuperMap #

data Graph #

Constructors

Graph |

Fields

- graphName :: GraphName
- digraph :: Digraph

#### Instances

Instances details

Show Graph # |
Instance details Defined in Language.PureScript.Hierarchy Methods showsPrec :: Int -> Graph -> ShowS # show :: Graph -> String # showList :: [Graph] -> ShowS #
Eq Graph # |
Instance details Defined in Language.PureScript.Hierarchy Methods (==) :: Graph -> Graph -> Bool # (/=) :: Graph -> Graph -> Bool #

newtype GraphName #

Constructors

GraphName |

Fields

- _unGraphName :: Text

#### Instances

Instances details

Show GraphName # |
Instance details Defined in Language.PureScript.Hierarchy Methods showsPrec :: Int -> GraphName -> ShowS # show :: GraphName -> String # showList :: [GraphName] -> ShowS #
Eq GraphName # |
Instance details Defined in Language.PureScript.Hierarchy Methods (==) :: GraphName -> GraphName -> Bool # (/=) :: GraphName -> GraphName -> Bool #

newtype Digraph #

Constructors

Digraph |

Fields

- _unDigraph :: Text

#### Instances

Instances details

Show Digraph # |
Instance details Defined in Language.PureScript.Hierarchy Methods showsPrec :: Int -> Digraph -> ShowS # show :: Digraph -> String # showList :: [Digraph] -> ShowS #
Eq Digraph # |
Instance details Defined in Language.PureScript.Hierarchy Methods (==) :: Digraph -> Digraph -> Bool # (/=) :: Digraph -> Digraph -> Bool #

prettyPrint :: SuperMap -> Text #

runModuleName :: ModuleName -> GraphName #

typeClasses :: Functor f => f Module -> f (Maybe Graph) #

typeClassGraph :: Module -> Maybe Graph #

typeClassPrologue :: GraphName -> Text #

typeClassBody :: [SuperMap] -> Text #

typeClassEpilogue :: Text #

superClasses :: Declaration -> [SuperMap] #